import User from '#models/user'
import { BaseSeeder } from '@adonisjs/lucid/seeders'
import { faker } from '@faker-js/faker'

export default class extends BaseSeeder {
  public async run () {
    const users = Array.from({ length: 1000 }).map(() => ({
      fullName: faker.person.fullName(),
      email: faker.internet.email(),
      password: 'password123',
    }))

    await User.createMany(users)
  }
}